Draft Sposta

From FreeCAD Documentation
Revision as of 22:37, 22 April 2019 by Renatorivo (talk | contribs) (Created page with "{{Draft Tools navi/it}}")
Jump to: navigation, search
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Draft Label.svg Etichetta Pagina precedente:
Pagina successiva: Ruota Draft Rotate.svg Arrow-right.svg

Draft Move.svg Sposta

Posizione nel menu
Draft → Sposta
Ambiente
Draft, Architettura
Avvio veloce
M V
Introdotto nella versione
0.7
Vedere anche
Schiera, Copie su tracciato


Descrizione

Questo strumento sposta o copia gli oggetti selezionati da un punto ad un altro punto.

Lo strumento Sposta può essere utilizzato su forme 2D create con Draft o Schizzo, ma può anche essere utilizzato su molti tipi di oggetti 3D come quelli creati con Part o Arch.

Per produrre varie copie in diverse disposizioni utilizzare Schiera, Copie su tracciato e Copie su punti.

Draft Move example.jpg

Spostare un oggetto da un punto a un altro


Utilizzo

  1. Selezionare gli oggetti che si desidera spostare o copiare
  2. Premere il pulsante Draft Move.svg Sposta, o premere i tasti M e poi V. Se nessun oggetto è selezionato, viene chiesto di selezionarne uno.
  3. Selezionare un primo punto nella vista 3D, oppure digitare le sue coordinate e poi premere il pulsante Draft AddPoint.svg aggiungi punto. Questo punto serve come punto base dell'operazione.
  4. Fare clic su un altro punto nella vista 3D o digitare una coordinata e premere il pulsante Draft AddPoint.svg aggiungi punto. Questo punto è la nuova posizione del punto base.

Limitazioni

Quando si vuole spostare un oggetto basato su uno Schizzo, ad esempio, una funzione creata con PartDesign (Pad, Rivoluzione, etc.) si deve spostare lo schizzo originale. Altrimenti, se si sposta l'oggetto derivato, esso torna subito nella posizione definita dallo schizzo.

Opzioni

  • Premere X, Y o Z dopo il primo punto per vincolare il secondo punto su un dato asse.
  • Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere Invio tra ciascun componente X, Y e Z. È possibile premere il pulsante Draft AddPoint.svg aggiungi punto quando si hanno i valori desiderati per inserire il punto.
  • Premere R o fare clic sulla casella di controllo per attivare la modalità "relativa". Se la modalità relativa è attiva, le coordinate del secondo punto sono relative alla prima; altrimenti sono assolute, prese dall'origine (0,0,0).
  • Premere T oppure fare clic sulla casella di controllo per attivare la modalità "continua". Se la modalità continua è attiva, lo strumento Sposta verrà riavviato al termine dell'operazione, consentendo di spostare o copiare nuovamente gli oggetti senza premere nuovamente il pulsante dello strumento.
  • Premere P oppure fare clic sulla casella di controllo per attivare la modalità Copia. Se la modalità copia è attiva, lo strumento Sposta mantiene la forma originale al suo posto ma ne fa una copia nel secondo punto.
Si possono usare sia T che P per posizionare più copie in sequenza. In questo caso, l'elemento che viene duplicato è l'ultima copia posizionata.
  • Hold Tenere premuto Alt dopo il secondo punto per attivare o disattivare la modalità di copia. Tenendo premuto Alt dopo aver cliccato sul secondo punto, si puòpotraicontinuare a posizionare le copie; rilasciare Alt per terminare l'operazione e vedere tutte le copie.
  • Tenere premuto Ctrl mentre si sposta per forzare lo snap al punto di aggancio più vicino, indipendentemente dalla distanza.
  • Tenere premuto Maiusc mentre si ruota per vincolare il secondo punto in orizzontale o in verticale rispetto al primo.
  • Premere il pulsante Esc o il pulsante Chiudi per interrompere il comando corrente; le copie già posizionate rimangono.

Script

Vedere anche: Draft API e Nozioni di base sugli script di FreeCAD.

Lo strumento Sposta può essere usato nelle macro e dalla console Python utilizzando la seguente funzione:

movedlist = move(objectslist, vector, copy=False)
  • Sposta il punto base degli oggetti della objectslist di una distanza e nella direzione indicati da vector.
    • objectslist può essere un singolo oggetto o un elenco di oggetti.
Il vettore di spostamento è relativo al punto base dell'oggetto, il che significa che se un oggetto viene spostato di 2 unità e poi di altre 2 unità, in totale viene spostato di 4 unità dalla sua posizione originale.
  • Se copy è True vengono create delle copie invece di spostare gli oggetti originali.
  • Viene restituita una movedlist con gli oggetti originali spostati o con le nuove copie..
    • movedlist è un singolo oggetto o un elenco di oggetti, a seconda dell'input di objectslist.

Esempio:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(5, radius=1000)
Polygon2 = Draft.makePolygon(3, radius=500)
Polygon3 = Draft.makePolygon(6, radius=220)

Draft.move(Polygon1, FreeCAD.Vector(500, 500, 0))
Draft.move(Polygon1, FreeCAD.Vector(500, 500, 0))
Draft.move(Polygon2, FreeCAD.Vector(1000, -1000, 0))
Draft.move(Polygon3, FreeCAD.Vector(-500, -500, 0))

List1 = [Polygon1, Polygon2, Polygon3]

vector = FreeCAD.Vector(-2000, -2000, 0)
List2 = Draft.move(List1, vector, copy=True)
List3 = Draft.move(List1, -2*vector, copy=True)
Arrow-left.svg Draft Label.svg Etichetta Pagina precedente:
Pagina successiva: Ruota Draft Rotate.svg Arrow-right.svg